# Add Applicant
:::{tip}
**API reference:**
{{ swagger_v2_link }}.
:::
Add Applicant submits a **simplified DBS / DS applicant** to uCheck over HTTP as
an XML payload. For a full application (with employer details and the RB details
matrix) see [Add Application](add-application.md); to email an applicant a
self-service link instead, see [Add Applicant Request](add-applicant-request.md).
Authenticate with your unique organisation **key** in the request.
## Overview
The uCheck API is intended for use with clients wanting to either partially or totally circumvent the need to use the uCheck website hr-platform.co.uk/app/login for data entry. In the case of 'addApplicant', this can improve efficiency by enabling the end user to only have to enter data once, then submitting that data 'the applicant' to the uCheck system through the uCheck API.
### Overview diagram
```{mermaid}
%%{init: {'theme':'base','themeVariables':{'fontFamily':'system-ui, -apple-system, Helvetica, Arial, sans-serif','fontSize':'15px','lineColor':'#f28e00','primaryColor':'#0094dd','primaryTextColor':'#ffffff','primaryBorderColor':'#112e51'}}}%%
flowchart TD
A([API: addApplicant]):::endpoint
S1[Add Applicant Information]:::step
S2[Add ID Details]:::step
S3[Add Section Y Details]:::step
S4[Add Employer /
Employment Details]:::step
S5[Approve / Pay]:::step
S6([Countersign /
Submit to DBS]):::endpoint
A ==> S1 ==> S2 ==> S3 ==> S4 ==> S5 ==> S6
N1[API Submitted]:::note -.-> S1
N2[Completed on uCheck website]:::note -.-> S2
N3[Completed on uCheck website]:::note -.-> S3
N4[Completed on uCheck website]:::note -.-> S4
N5[Completed on uCheck website]:::note -.-> S5
N6[Completed by uCheck]:::note -.-> S6
classDef endpoint fill:#112e51,stroke:#0094dd,stroke-width:2px,color:#ffffff,rx:8,ry:8;
classDef step fill:#0094dd,stroke:#112e51,stroke-width:2px,color:#ffffff,rx:8,ry:8;
classDef note fill:#f2f0f0,stroke:#adadad,stroke-width:1px,color:#2b2a29,rx:6,ry:6;
```
## API versions
The version is part of the URL path. One version is available:
| Version | Endpoint | Behaviour |
|---------|----------|-----------|
| `v2` | `POST /addApplicant/v2` | Standard submission — the applicant identity supplied in the request is verified by uCheck. |
See [Endpoint versions](versions-and-implementation.md) for the full version
matrix.
## Rate limiting
Each registered IP is limited to 4 submissions per second, if this limit is exceeded the IP will be locked out for 1 hour and each submission will receive an HTTP 429 error.
## Errors
Errors, as well as all responses, are returned to the user in XML, this enables the error message to be as descriptive as possible, which in turn will help with problem diagnosis and debugging.
A full list of error messages is available in the appendix.
## Handling errors
It is recommended that all code using the API is capable of handling any errors. No request will be executed until all errors are clear.
When all errors are clear the API will respond to requests with an XML message containing a success message (See the Successful Requests section)
## API functionality
Available API functions:
| Function | Method | POST parameters |
|----------|--------|-----------------|
| `addApplicant` | `POST` | `xml` — the XML applicant to add |
## Validation
Once a request has been successfully authenticated, data from within the request
is validated to ensure it meets uCheck's requirements prior to being fully
processed. This validation is in two stages:
1. **Schema validation** — the submitted XML request is validated against a
uCheck XML schema. Any failure against the schema would stop the DBS / DS
accepting the application; this check saves rejection later in the process.
2. **Business-rule validation** — the submitted XML request is validated against
a set of logic rules, the same rules that the uCheck website would apply to a
manual submission.
- Please see the Further Validation section.
Failure against either of these validations will result in various error
messages as described in appendix A.
## Request submission
| Property | Value |
|----------|-------|
| API URL endpoint | `https://api.ucheck.co.uk/addApplicant/v2` |
| Request type | `POST` |
| POST data required | Key = `xml`, Value = the XML applicant document (see [Data format](#data-format)) |
Submit a single applicant as a `POST` request with one POST parameter named `xml`, containing the XML applicant document described below. See [API versions](#api-versions).
## Data format
This section describes in detail how to format request data such that the API will not reject it.
The schema is designed to cater for the batching of applications, this feature is not available from the API, only single applicants can be submitted.
- Notes:
- Nodes in italic are OPTIONAL
- Optional nodes, if not populated, should not be submitted
- Unless stated otherwise data must be 'Uppercase'
- Address history MUST be sequential with NO gaps
- i.e the 'ResidentFromGyearMonth' must be the same as the 'ResidentToGyearMonth' of the previous entry.
- No gaps in this address history is acceptable.
- 'Othernames' if present MUST contain both Forename and Surname irrespective of which name had been changed.
- Any dates that are missing or incorrectly formatted will default to a value of '1900-01'; therefore errors may indicate that dates are before the date of birth and could be misleading.
### XML format
#### addApplicant Format
Complete, well-formed example request. Elements marked `OPTIONAL` in a comment
may be omitted; all other elements are required. (The source specification
presents this as an annotated example — it has been reformatted here into valid,
copy-pasteable XML.)
```xml
123456ABC
MR
JOHN
PAUL
PETER
SMITH
32 WATERLOO STREET
MIDDLETON
TOWNSVILLE
COUNTY
MD6 5TR
GB
2015-04
35 WATERLOO STREET
MIDDLETON
TOWNSVILLE
COUNTY
MD6 5TR
GB
2010-02
2015-04
1968-06-07
male
johnsmith@email.com
SMITH
JONES
JOHN
1984-01
JOHN
BROWN
2010-01
2012-01
JONATHAN
SMITH
2010-01
2012-01
y
US
CHESTER
CHESHIRE
GB
GB
0777777333
n
y
NP828776A
xxxxxxxxxxxxxxxxxxxxxxxxxxxx
```
| **XML Value** | **Constraint** | **Constraint Value** |
|----|----|----|
| Application Reference | Max length | 50 |
| | Pattern | Alpha numeric |
| Title | Max Length | 12 |
| | Must be in list | 'Acceptable Title' list - see appendix. |
| Forename | Min Length = | 1 |
| | Max Length = | 60 |
| | Reg Ex pattern | `([A-Z]+)\|([A-Z][A-Z '\-]*[A-Z])` |
| Middlename | Min Length | 1 |
| | Max Length | 60 |
| | Reg Ex pattern | `([A-Z]+)\|([A-Z][A-Z '\-]*[A-Z])` |
| PresentSurname | Min Length | 1 |
| | Max Length | 60 |
| | Reg Ex pattern | `([A-Z]+)\|([A-Z][A-Z '\-]*[A-Z])` |
| AddressLine1 | Min Length | 1 |
| | Max Length | 60 |
| | Reg Ex pattern | `([A-Z0-9\(\)\-/'&]+)\|([A-Z0-9\(\)\-/'&][A-Z 0-9\(\)\-/'&]*[A-Z0-9\(\)\-/'&])` |
| AddressLine2 | Min Length | 1 |
| | Max Length | 60 |
| | Reg Ex pattern | `([A-Z0-9\(\)\-/'&]+)\|([A-Z0-9\(\)\-/'&][A-Z 0-9\(\)\-/'&]*[A-Z0-9\(\)\-/'&])` |
| AddressTown | Min Length | 1 |
| | Max Length | 30 |
| | Reg Ex pattern | `([A-Z\(\)\-/'&]+)\|([A-Z\(\)\-/'&][A-Z\(\)\-/'&]*[A-Z\(\)\-/'&])` |
| AddressCounty | Min Length | 1 |
| | Max Length | 30 |
| | Reg Ex pattern | `([A-Z\(\)\-/'&]+)\|([A-Z\(\)\-/'&][A-Z\(\)\-/'&]*[A-Z\(\)\-/'&])` |
| Postcode | Min Length | 1 |
| | Max Length | 30 |
| | Reg Ex pattern | `([A-Z0-9\(\)\-/']+)\|([A-Z0-9\(\)\-/'][A-Z 0-9\(\)\-/']*[A-Z0-9\(\)\-/'])` |
| CountryCode | Min Length | 2 |
| | Max Length | 2 |
| | Must be in list | Acceptable Country Codes – see appendix |
| ResidentFromGyearMonth | Pattern | yyyy-mm |
| ResidentToGyearMonth | Pattern | yyyy-mm |
| DateOfBirth | Pattern | yyyy-mm-dd |
| Gender | Must be one of the following | male, female |
| ContactEmail | Min Length | 5 |
| (of the applicant) | Max Length | 64 |
| | Reg Ex pattern | `([a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4})` |
| BirthSurname | Min Length | 1 |
| | Max Length | 60 |
| | Reg Ex pattern | `([A-Z]+)\|([A-Z][A-Z '\-]*[A-Z])` |
| BirthSurnameUntil | Pattern | yyyy-mm |
| UsedFrom | Pattern | yyyy-mm |
| UsedTo | Reg Ex pattern | yyyy-mm |
| NationalityChange | Must be one of the following | y, n |
| CurrentNationality | Min Length | 2 |
| | Max Length | 2 |
| | Reg Ex pattern | Acceptable Country Codes – see appendix |
| BirthTown | Min Length | 1 |
| | Max Length | 30 |
| | Reg Ex pattern | `([A-Z\(\)\-/'&]+)\|([A-Z\(\)\-/'&][A-Z\(\)\-/'&]*[A-Z\(\)\-/'&])` |
| BirthCounty | Min Length | 1 |
| | Max Length | 30 |
| | Reg Ex pattern | `([A-Z\(\)\-/'&]+)\|([A-Z\(\)\-/'&][A-Z\(\)\-/'&]*[A-Z\(\)\-/'&])` |
| BirthCountry | Min Length | 2 |
| | Max Length | 2 |
| | Must be in list | Acceptable Country Codes – see appendix |
| BirthNationality | Min Length | 2 |
| | Max Length | 2 |
| | Reg Ex pattern | Acceptable Country Codes – see appendix |
| ContactNumber | Min Length | 1 |
| | Max Length | 30 |
| | Reg Ex pattern | `([A-Z0-9\(\)\-/&]+)\|([A-Z0-9\(\)\-/&][A-Z 0-9\(\)\-/&]*[A-Z0-9\(\)\-/&])` |
| MotherMaidenname | Min Length | 1 |
| | Max Length | 30 |
| | Reg Ex pattern | `([a-zA-Z '\-\(\)]{1,30})` |
| UnspentConvictions | Must be one of the following | y, n |
| DeclarationByApplicant | Must be one of the following | y |
| NINumber | Min Length | 9 |
| | Max Length | 9 |
| | Reg Ex pattern | `([A-Z0-9]+)\|([A-Z0-9][A-Z 0-9]*)` |
## Further validation
Once validation against the uCheck XML schema has been successful further validation is carried out to ensure all data submitted through the API complies with the following logic rules:
1. Age of the applicant must be 16 or over and under 110.
2. All UK (also IM,GG,JE) addresses must have valid postcodes.
3. 'Title' must reflect 'Gender'.
4. Tenancy dates must be sequential, with no gaps, and must cover a period of 5 years.
5. Any previous UK (also IM,GG,JE) address must have a valid postcode; NON UK addresses do not require a postcode but require 'County'.
6. Any dates given must not be future dates or be before the applicant's date of birth.
7. If a national insurance number is provided, it must be a valid UK National insurance number.
## API usage and examples
### addApplicant
| Property | Value |
|----------|-------|
| API URL endpoint | `https://api.ucheck.co.uk/addApplicant/v2` |
| Request type | `POST` |
| POST data required | Key = `xml`, Value = dataset as described in the Data Format section |
| Response | As described in the Successful Requests section |
### Examples
A simple, complete example is shown below. You will need to replicate one like it as the first part of the 'Test Schedule' (appendix E1).
#### addApplicant
```xml
123456ABC
MR
JOHN
PAUL
SMITH
32
HALLERTON CLOSE
PLYMOUTH
DEVON
PL68NP
GB
2015-01
21 BEARSDOWN RD
EGGBUCKLAND
PLYMOUTH
DEVON
PL6 5TR
GB
2010-02
2015-01
1968-06-07
male
email@gmail.com
SMITH
n
PLYMOUTH
DEVON
GB
GB
07777777777
n
y
PO12345
CHECKER 1
y
NP805592A
xxxxxxxxxx
```
## Successful requests
### addApplicant
A successful 'addApplicant' request will receive the following XML response.
```xml
true
123456ABC
HR0001000
ABCCARE
```
This will be an HTTP 200 OK response
| XML Value | Meaning |
|----|----|
| uCheckReference: | This is a unique index issued to a new applicant |
| ApplicationReference: | This is a unique alpha numeric field that is 'owned' by the client and should be unique to an application. This stops any application being submitted more than once and hence charged more than once. |
| CompanyCode | The company code that the application was submitted under |
## Appendix
### A. Error list
#### A1 Authentication error / Pre submission error.
Any authentication error will result in the following type of error message, authentication errors can be caused by incorrect 'Account' , incorrect 'Password' or an invalid requesting IP address.
```xml
false
SEE LIST
```
Error List:
- Head office is not authorised for XXXXXXX submission
- HTTP '401 Unauthorised' response
- no xml provided
- HTTP '400 Bad Request' response
- incorrectly formatted xml request
- HTTP '400 Bad Request' response
- invalid key element supplied
- HTTP '400 Bad Request' response
- unique application reference does not exist
- HTTP '400 Bad Request' response
- duplicate application reference, duplicate of HRXXXXXXXX
- HTTP '406 Unacceptable' response
#### A2 Schema error.
Any XML schema error will result in the following type of error message, multiple schema errors will result in multiple errors within the response XML.
Please refer to appendix B which contains a copy of the schema against which all applications are checked.
```xml
false
123456ABC
Schema error details
```
This will give an HTTP '400 Bad Request' response
#### A3 Validation error.
Any 'Validation Logic' error will result in the following type of error message, multiple validation errors will NOT results in multiple errors within the XML response as each error terminates the validation process.
```xml
false
123456ABC
validation error details
```
Validation errors are in plain English and are easily interpreted i.e.
```xml
false
123456ABC
OtherName1_UsedFrom Date CANNOT be before applicants Date of Birth
```
This will give an HTTP '400 Bad Request' response
#### A4 System error.
In the unlikely event of a 'system error' the following type of error message.
```xml
```
This will give an HTTP '500 Internal server error' response
In the case of any system error, please report these back to uCheck explaining the conditions under which the error occurred, any data used during the request and IP Address from where the request was made. All system errors are logged internally within the uCheck API, therefore, any additional information supplied by the user will help with diagnosis.
## B. Schema
Below is the 'Common' and 'SubmitDisclosureApplication' schema's which uCheck submits to the DBS against.
PLEASE NOTE : Data submitted by the client to uCheck is not always requested in the same format as the schema, so please consider these as 'for reference only'.
### B1 Common Schema
```xml
```
### B2 SubmitDisclosureApplication Schema
```xml
```
## C. Acceptable list types
### C1 Assumed title to gender
It is important to match the applicants gender to the applicant's title, below is the list of assumed values.
| Valid Values |
|-------------------|
| BARON - MALE |
| BARONESS - FEMALE |
| BRIGADIER - BOTH |
| CANON - BOTH |
| CAPTAIN - BOTH |
| DR - BOTH |
| DUCHESS - BOTH |
| DUKE - MALE |
| ESQ - MALE |
| FATHER - MALE |
| HON - BOTH |
| INSPECTOR - BOTH |
| LADY - FEMALE |
| LORD - MALE |
| LT COL - BOTH |
| MAJOR - BOTH |
| MISS - FEMALE |
| MOST REVER - BOTH |
| MR - MALE |
| MRS - FEMALE |
| MS - FEMALE |
| PASTOR - BOTH |
| PROFESSOR - BOTH |
| RABBI - BOTH |
| REV DR - BOTH |
| REVEREND - BOTH |
| RT REVEREN - BOTH |
| SIR - MALE |
| SISTER - FEMALE |
| SQUADRON L - BOTH |
| WG CDR - BOTH |
### C2 Acceptable title
This is a list of acceptable titles as issued by the DBS, this list is supplied to uCheck by the DBS and is out of the control of uCheck.
| Valid Values |
|--------------|
| BARON |
| BARONESS |
| BRIGADIER |
| CANON |
| CAPTAIN |
| DR |
| DUCHESS |
| DUKE |
| ESQ |
| FATHER |
| HON |
| INSPECTOR |
| LADY |
| LORD |
| LT COL |
| MAJOR |
| MISS |
| MOST REVER |
| MR |
| MRS |
| MS |
| PASTOR |
| PROFESSOR |
| RABBI |
| REV DR |
| REVEREND |
| RT REVEREN |
| SIR |
| SISTER |
| SQUADRON L |
| WG CDR |
### C3 Acceptable country codes
This is a list of acceptable country codes as issued by the DBS, this list is supplied to uCheck by the DBS and is out of the control of uCheck.
| TERRITORY CODE | TERRITORY SHORT NAME |
|----------------|--------------------------------|
| AD | Andorra |
| AE | United Arab Emirates |
| AF | Afghanistan |
| AG | Antigua and Barbuda |
| AI | Anguilla |
| AL | Albania |
| AM | Armenia |
| AN | Netherlands Antilles |
| AO | Angola |
| AQ | Antartica |
| AR | Argentina |
| AS | American Samoa |
| AT | Austria |
| AU | Australia |
| AW | Aruba |
| AX | Aland Islands |
| AZ | Azerbaijan |
| BA | Bosnia and Herzegovina |
| BB | Barbados |
| BD | Bangladesh |
| BE | Belgium |
| BF | Burkina Faso |
| BG | Bulgaria |
| BH | Bahrain |
| BI | Burundi |
| BJ | Benin |
| BL | Saint-Barthelemy |
| BM | Bermuda |
| BN | Brunei Darussalam |
| BO | Bolivia |
| BQ | Bonaire |
| BR | Brazil |
| BS | Bahamas |
| BT | Bhutan |
| BV | Bouvet Island |
| BW | Botswana |
| BY | Belarus |
| BZ | Belize |
| CA | Canada |
| CC | Cocos Keeling Islands |
| CD | Congo-Democratic Republic |
| CF | Central African Republic |
| CG | Congo Brazzaville |
| CH | Switzerland |
| CI | Cote dIvoire |
| CK | Cook Islands |
| CL | Chile |
| CM | Cameroon |
| CN | China |
| CO | Colombia |
| CR | Costa Rica |
| CU | Cuba |
| CV | Cape Verde |
| CW | Curacao |
| CX | Christmas Island |
| CY | Cyprus |
| CZ | Czech Republic |
| DE | Germany |
| DJ | Djibouti |
| DK | Denmark |
| DM | Dominica |
| DO | Dominican Republic |
| DZ | Algeria |
| EC | Ecuador |
| EE | Estonia |
| EG | Egypt |
| EH | Western Sahara |
| ER | Eritrea |
| ES | Spain |
| ET | Ethiopia |
| FI | Finland |
| FJ | Fiji |
| FK | Falkland Islands |
| FM | Micronesia |
| FO | Faroe Islands |
| FR | France |
| GA | Gabon |
| GB | United Kingdom |
| GD | Grenada |
| GE | Georgia |
| GF | French Guiana |
| GG | Guernsey |
| GH | Ghana |
| GI | Gibraltar |
| GL | Greenland |
| GM | Gambia |
| GN | Guinea |
| GP | Guadeloupe |
| GQ | Equatorial Guinea |
| GR | Greece |
| GS | South Georgia |
| GT | Guatemala |
| GU | Guam |
| GW | Guinea-Bissau |
| GY | Guyana |
| HK | Hong Kong-Region of China |
| HM | Heard Island-Mcdonald Islands |
| HN | Honduras |
| HR | Croatia |
| HT | Haiti |
| HU | Hungary |
| ID | Indonesia |
| IE | Ireland |
| IL | Israel |
| IM | Isle of Man |
| IN | India |
| IO | British Indian Ocean Territory |
| IQ | Iraq |
| IR | Iran |
| IS | Iceland |
| IT | Italy |
| JE | Jersey |
| JM | Jamaica |
| JO | Jordan |
| JP | Japan |
| KE | Kenya |
| KG | Kyrgyzstan |
| KH | Cambodia |
| KI | Kirbati |
| KM | Comoros |
| KN | Saint Kitts and Nevis |
| KP | North Korea |
| KR | South Korea |
| KW | Kuwait |
| KY | Cayman Islands |
| KZ | Kazakhstan |
| LA | Lao PDR |
| LB | Lebanon |
| LC | Saint Lucia |
| LI | Liechtenstein |
| LK | Sri Lanka |
| LR | Liberia |
| LS | Lesotho |
| LT | Lithuania |
| LU | Luxembourg |
| LV | Latvia |
| LY | Libya |
| MA | Morocco |
| MC | Monaco |
| MD | Moldova |
| ME | Montenegro |
| MF | Saint-Martin French part |
| MG | Madagascar |
| MH | Marshall Islands |
| MK | Macedonia |
| ML | Mali |
| MM | Myanmar |
| MN | Mongolia |
| MO | Macao-Region of China |
| MP | Northern Mariana Islands |
| MQ | Martinique |
| MR | Mauritania |
| MS | Montserrat |
| MT | Malta |
| MU | Mauritius |
| MV | Maldives |
| MW | Malawi |
| MX | Mexico |
| MY | Malaysia |
| MZ | Mozambique |
| NA | Namibia |
| NC | New Caledonia |
| NE | Niger |
| NF | Norfolk Island |
| NG | Nigeria |
| NI | Nicaragua |
| NL | Netherlands |
| NO | Norway |
| NP | Nepal |
| NR | Nauru |
| NU | Niue |
| NZ | New Zealand |
| OM | Oman |
| PA | Panama |
| PE | Peru |
| PF | French Polynesia |
| PG | Papua New Guinea |
| PH | Philippines |
| PK | Pakistan |
| PL | Poland |
| PM | Saint Pierre and Miquelon |
| PN | Pitcairn |
| PR | Puerto Rico |
| PS | Palestinian |
| PT | Portugal |
| PW | Palau |
| PY | Paraguay |
| QA | Qatar |
| RE | Reunion |
| RO | Romania |
| RS | Serbia |
| RU | Russian Federation |
| RW | Rwanda |
| SA | Saudi Arabia |
| SB | Solomon Islands |
| SC | Seychelles |
| SD | Sudan |
| SE | Sweden |
| SG | Singapore |
| SH | Saint Helena |
| SI | Slovenia |
| SJ | Svalbard and Jan Mayen Islands |
| SK | Slovakia |
| SL | Sierra Leone |
| SM | San Marino |
| SN | Senegal |
| SO | Somalia |
| SR | Suriname |
| SS | South Sudan |
| ST | Sao Tome and Principe |
| SV | El Salvador |
| SX | Sint Maarten |
| SY | Syria |
| SZ | Swaziland |
| TC | Turks and Caicos Islands |
| TD | Chad |
| TF | French Southern Territories |
| TG | Togo |
| TH | Thailand |
| TJ | Tajikistan |
| TK | Tokelau |
| TL | Timor-Leste |
| TM | Turkmenistan |
| TN | Tunisia |
| TO | Tonga |
| TR | Turkey |
| TT | Trinidad and Tobago |
| TV | Tuvlau |
| TW | Taiwan |
| TZ | Tanzania |
| UA | Ukraine |
| UG | Uganda |
| UM | US Minor Outlying Islands |
| US | United States of America |
| UY | Uruguay |
| UZ | Uzbekistan |
| VA | Vatican City State |
| VC | Saint Vincent and Gernadines |
| VE | Venezuela |
| VG | British Virgin Islands |
| VI | Virgin Islands US |
| VN | Viet Nam |
| VU | Vanuatu |
| WF | Wallis and Futuna Islands |
| WS | Samoa |
| YE | Yemen |
| YT | Mayotte |
| ZA | South Africa |
| ZM | Zambia |
| ZW | Zimbabwe |
### E1 Test schedule
Before a customer is enabled on the live uCheck system they are required to comply with the following test schedule.
At any point uCheck reserve the right to request further testing.
1. Please supply a sample XML as per the Examples section, please change the two addresses within the application, to other valid addresses and post codes . uCheck will validate this, when there are no remaining issues will proceed to the next stage.
2. uCheck will now grant access to a UAT system to try the sample xml supplied in step 1 confirming all is working as expected.
3. On successful submission of stage 2 uCheck will then request submission of a further 10 applications. Assuming zero issues uCheck will progress applications to completion.
Please use the following test scenarios for the purpose of this stage
Scenario 1
- Applicant forename : Fivemr
- Applicant middlename : Test
- Applicant surname : Address
- Title : MR
- Birth Details
- DOB : 06 July 1970
- Birth Town : Exeter
- Birth County : Devon
- Birth Country : Great Britain
- Nationality : British
- Mother's maiden name : Smith
- Gender : Male
- Address's
- Please supply a current address and 5 previous addresses making up the 5 years address history. Please ensure that post codes are valid.
- Please ensure that any address history is in date order and sequential.
- NI Details
- Number : NP805592A
- Any other required details may be based on the Examples section
Scenario 2
- Applicant forename : Fivemrs
- Applicant middlename : Test
- Applicant surname : Address
- Title : MRS
- Birth Details
- DOB : 06 July 1970
- Birth Town : Exeter
- Birth County : Devon
- Birth Country : Great Britain
- Nationality : British
- Mother's maiden name : Smith
- As this applicant is a 'MRS' Birth name details are required.
- Birth surname : Smith
- Birth forename : Fivemrs
- Birth surname until : 01 Feb 1990
- Gender : Female
- Address's
- Please supply a current address and 5 previous addresses making up the 5 years address history. Please ensure that post codes are valid.
- Please ensure that any address history is in date order and sequential.
- NI Details
- Number : NP805592A
- Any other required details may be based on the Examples section
Scenario 3
- Applicant forename : Fivemr
- Applicant middlename : Test
- Applicant surname : Address
- Title : MR
- Birth Details
- DOB : 06 July 1970
- Birth Town : Exeter
- Birth County : Devon
- Birth Country : Great Britain
- Nationality : British
- Mother's maiden name : Smith
- Gender : Male
- Address's
- Please supply a current address and 5 previous addresses making up the 5 years address history. Please ensure that post codes are valid.
- Please ensure that any address history is in date order and sequential.
- Other names
- Please supply 2 previous names for this applicant
- 1 : Surname changes to 'Jones'
- 2 : Forename changed to 'John'
- NI Details
- Number : NP805592A
- Any other required details may be based on the Examples section
Scenario 4
- Applicant forename : Fivemrs
- Applicant middlename : Test
- Applicant surname : Address
- Title : MRS
- Birth Details
- DOB : 06 July 1970
- Birth Town : Exeter
- Birth County : Devon
- Birth Country : Great Britain
- Nationality : British
- Mother's maiden name : Smith
- As this applicant is a 'MRS' Birth name details are required.
- Birth surname : Smith
- Birth forename : Fivemrs
- Birth surname until : 01 Feb 1990
- Gender : Female
- Address's
- Please supply a current address and 5 previous addresses making up the 5 years address history. Please ensure that post codes are valid.
- Please ensure that any address history is in date order and sequential.
- Other names
- Please supply 2 previous names for this applicant
- 1 : Surname changes to 'Jones'
- 2 : Forename changed to 'Mary'
- NI Details
- Number : NP805592A
- Any other required details may be based on the Examples section
Scenario 5
- Applicant forename : Fivemr
- Applicant middlename : Test
- Applicant surname : Address
- Title : MR
- Birth Details
- DOB : 06 July 1970
- Birth Town : Exeter
- Birth County : Devon
- Birth Country : Great Britain
- Nationality : British
- Mother's maiden name : Smith
- Gender : Male
- Address's
- Please supply a current address and 5 previous addresses making up the 5 years address history. Please ensure that post codes are valid.
- Please ensure that any address history is in date order and sequential.
- Other names
- Please supply 2 previous names for this applicant
- 1 : Surname changes to 'Jones'
- 2 : Forename changed to 'John'
- NI Details
- Number : NP805592A
- Drivers licence:
- Number : ADDRE707060FT9ZX
- Please understand the driving licence format as it is verified against previous details given within the application.
- DOB : 06 July 1970
- Type : photo
- Valid from : 01 Jan 1990
- Issue country : GB
- Any other required details may be based on the Examples section
Scenario 6
- Applicant forename : Fivemrs
- Applicant middlename : Test
- Applicant surname : Address
- Title : MRS
- Birth Details
- DOB : 06 July 1970
- Birth Town : Exeter
- Birth County : Devon
- Birth Country : Great Britain
- Nationality : British
- Mother's maiden name : Smith
- As this applicant is a 'MRS' Birth name details are required.
- Birth surname : Smith
- Birth forename : Fivemrs
- Birth surname until : 01 Feb 1990
- Gender : Female
- Address's
- Please supply a current address and 5 previous addresses making up the 5 years address history. Please ensure that post codes are valid.
- Please ensure that any address history is in date order and sequential.
- Other names
- Please supply 2 previous names for this applicant
- 1 : Surname changes to 'Jones'
- 2 : Forename changed to 'Mary'
- NI Details
- Number : NP805592A
- Drivers licence:
- Number : ADDRE757060FT9ZX
- Please understand the driving licence format as it is verified against previous details given within the application.
- DOB : 06 July 1970
- Type : photo
- Valid from : 01 Jan 1990
- Issue country : GB
- Any other required details may be based on the Examples section
Scenario 7 – 10
Please submit a further 4 unique applications to verify a good understanding of the process.
4. uCheck will submit results to the customer supplied endpoint API (if required)and confirm acceptance and correct allocation of the result to the application.
Once all four stages are complete, testing, QA and internal sign off of the uCheck API, T&C have been signed we will provide access to the live system.
## Version history
| Version | Date | Description |
|---------|------|-------------|
| 1.0 | Initial Draft | Initial draft |
| 1.1 | 01/07/2019 | Split out individual end points |
| 1.2 | 10/01/2020 | Added MothersMaidenname as a requirement |
| 1.3 | 15/02/2020 | Email reg-ex incorrect |
| 1.4 | 01/06/2021 | References to 'email' change to 'applicant email' |